﻿SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='ONLY_FULL_GROUP_BY,STRICT_TRANS_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,NO_ENGINE_SUBSTITUTION';
                                   
SET AUTOCOMMIT = 0;

START TRANSACTION;

ALTER TABLE `method_parameter` 
ADD COLUMN `position` INT(11) NOT NULL DEFAULT '0' AFTER `is_optional`;
                                   
UPDATE `method_parameter` to_update 
JOIN
    (SELECT Id,
    CASE method_id
        WHEN @curType THEN @curRow := @curRow + 1
        ELSE @curRow := 0
    END AS created_position,
    @curType := method_id as method_id
    FROM (SELECT Id, method_id FROM `method_parameter` ORDER BY method_id, id) c
    JOIN (SELECT @curRow := 0, @curType := 0) r) position_relations
ON to_update.Id = position_relations.Id
SET position = created_position;
                                   
COMMIT;

SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;