﻿SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='ONLY_FULL_GROUP_BY,STRICT_TRANS_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,NO_ENGINE_SUBSTITUTION';
                                   
ALTER TABLE `column` 
DROP FOREIGN KEY `fk_column_data_table1`;
                                   
ALTER TABLE `data` 
DROP FOREIGN KEY `fk_data_column1`;
                                   
ALTER TABLE `data` 
ADD INDEX `fk_data_data_table1_idx` (`data_table_id` ASC),
DROP INDEX `fk_data_data_table1_idx` ;
                                   
ALTER TABLE `column` 
ADD CONSTRAINT `fk_column_data_table1`
    FOREIGN KEY (`data_table_id`)
    REFERENCES `data_table` (`id`)
    ON DELETE CASCADE
    ON UPDATE NO ACTION;
                                   
ALTER TABLE `data` 
ADD CONSTRAINT `fk_data_column1`
    FOREIGN KEY (`column_id`)
    REFERENCES `column` (`id`)
    ON DELETE CASCADE
    ON UPDATE NO ACTION;
                                   
                                   
SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;