﻿SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='ONLY_FULL_GROUP_BY,STRICT_TRANS_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,NO_ENGINE_SUBSTITUTION';
                                   
ALTER TABLE `step`
ADD COLUMN `run_until_passed` TINYINT(1) NOT NULL DEFAULT '0' AFTER `discard_group_on_fail`;

UPDATE `step`
SET `run_until_passed` = CASE WHEN run_until = 0 THEN 0
                                WHEN run_until = 1 THEN
                                CASE WHEN run_until_cond = 0 THEN 0
                                        WHEN run_until_cond = 1 THEN 1
                                        ELSE 0
                                END
                                ELSE 0
                        END;

ALTER TABLE `step` 
DROP COLUMN `run_until_cond`,
DROP COLUMN `run_until`;
                                   
SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;