﻿SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='ONLY_FULL_GROUP_BY,STRICT_TRANS_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,NO_ENGINE_SUBSTITUTION';
                                   
SET AUTOCOMMIT = 0;

START TRANSACTION;

ALTER TABLE `column` 
ADD COLUMN `position` INT(11) NOT NULL AFTER `data_type`;
                                   
UPDATE `column` to_update 
JOIN
    (SELECT Id,
    CASE data_table_id
        WHEN @curType THEN @curRow := @curRow + 1
        ELSE @curRow := 0
    END AS created_position,
    @curType := data_table_id as data_table_id
    FROM (SELECT Id, data_table_id FROM `column` ORDER BY data_table_id, id) c
    JOIN (SELECT @curRow := 0, @curType := 0) r) position_relations
ON to_update.Id = position_relations.Id
SET position = created_position;

COMMIT;

SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;