﻿SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='ONLY_FULL_GROUP_BY,STRICT_TRANS_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,NO_ENGINE_SUBSTITUTION';
                                   
SET AUTOCOMMIT = 0;

START TRANSACTION;

-- use state relation table to assign foreign key
UPDATE `step` s 
JOIN `state_relation` sr ON (s.id = sr.step_id)
SET s.`state_id` = sr.`model_id`;

ALTER TABLE `step` 
DROP COLUMN `state`;

-- finally, delete the state relation table
DROP TABLE IF EXISTS `state_relation`;
                                   
COMMIT;

SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;