﻿SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='ONLY_FULL_GROUP_BY,STRICT_TRANS_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,NO_ENGINE_SUBSTITUTION';
                                   
ALTER TABLE `model` 
DROP COLUMN `options`,
DROP COLUMN `revision`,
CHANGE COLUMN `is_state` `is_state` TINYINT(1) NOT NULL DEFAULT '0' AFTER `name`,
CHANGE COLUMN `create_date` `create_date` DATETIME NOT NULL DEFAULT CURRENT_TIMESTAMP AFTER `is_state`;

UPDATE `model` 
SET description = SUBSTRING(description, 1, 1000)
WHERE description IS NOT NULL;

UPDATE `model` 
SET description = ''
WHERE description IS NULL;

ALTER TABLE `model` 
CHANGE COLUMN `description` `description` VARCHAR(1000) NOT NULL;
                                   
SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;