﻿SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='ONLY_FULL_GROUP_BY,STRICT_TRANS_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,NO_ENGINE_SUBSTITUTION';
                                   
ALTER TABLE `step` 
ADD COLUMN `execute_children_cond` INT(3) NOT NULL AFTER `run_until_cond`;

UPDATE `step`
SET `execute_children_cond` = CASE WHEN exec_substeps = 0 THEN 0
                                    WHEN exec_substeps = 1 THEN 
                                        CASE WHEN exec_substeps_cond = 0 THEN 2
                                                WHEN exec_substeps_cond = 1 THEN 1
                                                ELSE 0
                                        END
                                    ELSE 0
                                END;

ALTER TABLE `step` 
DROP COLUMN `exec_substeps_cond`,
DROP COLUMN `exec_substeps`;
                                   
SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;