﻿SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='ONLY_FULL_GROUP_BY,STRICT_TRANS_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,NO_ENGINE_SUBSTITUTION';

ALTER TABLE `step` 
DROP COLUMN `group_id`,
DROP COLUMN `is_user_changeable`,
DROP COLUMN `report_errors`,
CHANGE COLUMN `discard_on_fail` `discard_group_on_fail` TINYINT(1) NOT NULL DEFAULT '0',
CHANGE COLUMN `step_id_parent` `step_id_parent` INT(11) NULL DEFAULT NULL AFTER `state_id`,
CHANGE COLUMN `is_enabled` `is_enabled` TINYINT(1) NOT NULL DEFAULT '1' AFTER `position`,
CHANGE COLUMN `timeout` `timeout` INT(11) NOT NULL DEFAULT '0' COMMENT 'Response timeout value' AFTER `is_enabled`,
CHANGE COLUMN `report_results` `report_results` TINYINT(1) NOT NULL DEFAULT '0' AFTER `use_children_result`,
CHANGE COLUMN `use_substeps_result` `use_children_result` TINYINT(1) NOT NULL DEFAULT '0';

ALTER TABLE `step` 
DROP FOREIGN KEY `fk_step_model1`;

ALTER TABLE `step` 
CHANGE COLUMN `model_id` `script_id` INT(11) NOT NULL;

ALTER TABLE `step` 
ADD CONSTRAINT `fk_step_model1`
    FOREIGN KEY (`script_id`)
    REFERENCES `model` (`id`)
    ON DELETE CASCADE
    ON UPDATE NO ACTION;

SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;