﻿SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='ONLY_FULL_GROUP_BY,STRICT_TRANS_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,NO_ENGINE_SUBSTITUTION';
                                   
ALTER TABLE `method_parameter` 
DROP FOREIGN KEY `fk_test_parameter_test1`;
                                   
ALTER TABLE `step_parameter_value` 
DROP FOREIGN KEY `fk_step_has_method_parameter_method_parameter1`,
DROP FOREIGN KEY `fk_step_has_method_parameter_step1`;
                                   
ALTER TABLE `method_parameter` 
ADD CONSTRAINT `fk_test_parameter_test1`
    FOREIGN KEY (`method_id`)
    REFERENCES `method` (`id`)
    ON DELETE CASCADE
    ON UPDATE NO ACTION;
                                   
ALTER TABLE `step_parameter_value` 
ADD CONSTRAINT `fk_step_has_method_parameter_method_parameter1`
    FOREIGN KEY (`method_parameter_id`)
    REFERENCES `method_parameter` (`id`)
    ON DELETE CASCADE
    ON UPDATE NO ACTION,
ADD CONSTRAINT `fk_step_has_method_parameter_step1`
    FOREIGN KEY (`step_id`)
    REFERENCES `step` (`id`)
    ON DELETE CASCADE
    ON UPDATE NO ACTION;
                                   
SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;