﻿SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='ONLY_FULL_GROUP_BY,STRICT_TRANS_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,NO_ENGINE_SUBSTITUTION';

ALTER TABLE `step` 
DROP FOREIGN KEY `fk_step_model1`,
DROP FOREIGN KEY `fk_step_model2`;

ALTER TABLE `model` 
RENAME TO  `script`;

ALTER TABLE `step_parameter_value` 
RENAME TO  `parameter_value`;

ALTER TABLE `step` 
ADD CONSTRAINT `fk_step_model1`
    FOREIGN KEY (`script_id`)
    REFERENCES `script` (`id`)
    ON DELETE CASCADE
    ON UPDATE NO ACTION,
ADD CONSTRAINT `fk_step_model2`
    FOREIGN KEY (`state_id`)
    REFERENCES `script` (`id`)
    ON DELETE SET NULL
    ON UPDATE NO ACTION;

SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;